Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004849OCamlOCaml generalpublic2009-08-23 18:022011-06-04 17:40
Reporterrixed 
Assigned Toxleroy 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version 
Summary0004849: Cannot build native compiler on mips64el-linux-gnu
DescriptionThis was already reported on 0004359, which was closed as "wontfix" since Mips
is not supported any more.
Anyway, as I believe Mips is far from dead (since China decided to build some), here is a patch that :

- complete the configure script in order to choose correct default for mips64el-linux-gnu architectures
- fix the generated code to handle little endian
- fix a bug in generated code related to gp (may not have been present on Irix)

Notice that this patch was designed to work on a GNU/Linux distribution with n32 userland (as now, that mean experimental gentoo, experimental suze and maybe soon a new debian). This won't be enough on a stock mipsel debian (I would say it would be possible with multilib and maybe without dynlink but haven't tried).
TagsNo tags attached.
Attached Filespatch file icon loongson.patch [^] (8,799 bytes) 2009-08-23 18:02 [Show Content]
? file icon patch-loongson [^] (9,578 bytes) 2010-03-18 20:26 [Show Content]

- Relationships

-  Notes
(0005231)
rixed (reporter)
2010-01-20 16:33

Any news on that ?
If there is a problem with that patch maybe I can help fix it ?
(0005269)
rixed (reporter)
2010-03-18 20:27

I forgot to fix a bug when calling a C function with more than 8 parameters. The last patch fix this (as well as previous problems).
(0005978)
xleroy (administrator)
2011-06-04 17:40

Apologies for leaving this PR hanging for so long. Interest in the MIPS port of ocamlopt seems still very low, and I'm still unable to maintain it by lack of appropriate hardware, so I think it is time to declare that port officially abandoned.

- Issue History
Date Modified Username Field Change
2009-08-23 18:02 rixed New Issue
2009-08-23 18:02 rixed File Added: loongson.patch
2010-01-20 16:33 rixed Note Added: 0005231
2010-03-18 20:26 rixed File Added: patch-loongson
2010-03-18 20:27 rixed Note Added: 0005269
2010-04-20 14:24 doligez Status new => assigned
2010-04-20 14:24 doligez Assigned To => xleroy
2011-06-04 17:40 xleroy Note Added: 0005978
2011-06-04 17:40 xleroy Status assigned => closed
2011-06-04 17:40 xleroy Resolution open => won't fix


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker